Subject: [Ltru] Charter Discussion

From: Martin Duerst <[email-masked]>
Date: Sat, 03 Jun 2006 09:17:27 +0900

Dear LTRU WG Members,

Quite some time ago, we agreed that after finishing our deliverables,
we will have a discussion about the charter. Randy and I would like
to start this discussion now, because we basically have finished our
deliverables (we may need to come back to the matching draft once
in a while based on comments in IETF Last Call and comments from the
IESG).

Discussions about (re)chartering are by nature rather open-ended,
but to focus discussion a bit, here are some questions:

1) What do you think is most needed after our current drafts are
   approved (and published as RFCs). What are the next steps?
   In what order/priority?

2) Is further specification work needed? Are there preconditions?
   What are predicted/desirable timelines?

3) Where (which organizations) should further spec work be done?
   What work should be done in the IETF? 

4) In case further work in the IETF is needed, should the current
   WG be closed and a new WG be started at a later time, or should
   the current WG be rechartered? (Hint: The IETF has a strong
   preference for short-duration WGs with very clearly defined
   deliverables.)
   
5) Anything else?

Happy discussion!          Regards,     Martin.

P.S.: Please remember that expressions of opinions in the IETF are
      taken as expressions by individuals, and that while we can
      advise the IESG and the responsible Area Directors about
      what the IETF should do next, it's not us (the WG) who
      decides on charter changes.

#-#-#  Martin J. Du"rst, Assoc. Professor, Aoyama Gakuin University
#-#-#  http://www.sw.it.aoyama.ac.jp       mailto:[email-masked]     

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Addison Phillips" <[email-masked]>
Date: Sat, 3 Jun 2006 07:25:45 +0100

Hi Martin,

Based on our past experience, we may have quite an adventure ahead on the
matching draft: nothing surprises me any more.

>    approved (and published as RFCs). What are the next steps?

This group's next major task will be a minor revision of 3066bis when ISO
639-3 is approved later this year. After that we should go away.

>    What are predicted/desirable timelines?

See above.

>    What work should be done in the IETF? 

W3C I18N Core WG is already working on "LTLI" (Language Tags and Locale
Identifiers). According to that group's charter, that spec will (among other
things) interpret RFC 3066bis and draft-matching for use with W3C
technologies. 

>    the current WG be rechartered?

We should keep the current WG until the update is completed.

Addison

Addison Phillips
Internationalization Architect - Yahoo! Inc.

Internationalization is an architecture.
It is not a feature.

---

From: John Cowan <[email-masked]>
Date: Sat, 3 Jun 2006 03:33:32 -0400

> 639-3 is approved later this year. After that we should go away.

Agreed.  We will need to get the extlang machinery turned on and
decide what to do about sign languages.  We will also need to reload
the registry from another I-D so that IANA does not need to process six
thousand individual additions.  That will constitute 3066ter.

> We should keep the current WG until the update is completed.

Agreed again.  The WG should go into dormancy until 639-3 is at the
appropriate ISO stage, probably after approval as an International
Standard but before actual publication -- analogous to IETF approval of
an RFC as distinct from its publication.

-- 
While staying with the Asonu, I met a man from      John Cowan
the Candensian plane, which is very much like       [email-masked]
ours, only more of it consists of Toronto.          http://:www.ccil.org/~cowan
        --Ursula K. Le Guin, Changing Planes

---

From: "Addison Phillips" <[email-masked]>
Date: Sat, 3 Jun 2006 05:04:48 -0700

> Agreed.  We will need to get the extlang machinery turned on and

Yep.

> decide what to do about sign languages.  

Nothing much. Perhaps (informatively) deprecate the existing tags in favor
of their 639 equivalents.

> We will also need to reload
> thousand individual additions.  

Probably one with just the additions, rather than a wholesale replacement.
This avoids complicated interregnum periods and such. 

> That will constitute 3066ter.

Yes. Too bad we can't just do it as an erratum! Turning on extlang will take
one, possibly two sentences. (Although I suspect we'll have to review the
section on stability rules.)

> an RFC as distinct from its publication.
I'm told that the dormant period will not be long, given that our
draft-matching IETF last call hasn't even started yet and 639-3 is advancing
steadily. So that would be in keeping with the IETF's goals of short-lived
WGs with fixed deliverables.

Addison

Addison Phillips

---

From: John Cowan <[email-masked]>
Date: Sat, 3 Jun 2006 10:20:18 -0400

Addison Phillips scripsit:

> Nothing much. Perhaps (informatively) deprecate the existing tags in
> favor of their 639 equivalents.

The issue is whether we ought to treat "sgn" as a macrolanguage.  It
would be nice if 639-3 already did, but if it doesn't, we'll have
to decide whether to do so (I'm in favor of it).

> Probably one with just the additions, rather than a wholesale
> replacement.  This avoids complicated interregnum periods and such.

Fair enough.  There are a few modifications to do, changing some
grandfathered tags to redundant and deprecating some.

> Yes. Too bad we can't just do it as an erratum!

In principle we could issue an updating RFC, but I'd rather issue
a superseding one.

> draft-matching IETF last call hasn't even started yet and 639-3 is
> advancing steadily. So that would be in keeping with the IETF's goals
> of short-lived WGs with fixed deliverables.

Good.

-- 
John Cowan   [email-masked]    http://ccil.org/~cowan
You cannot enter here.  Go back to the abyss prepared for you!  Go back!
Fall into the nothingness that awaits you and your Master.  Go! --Gandalf

---

From: Martin Duerst <[email-masked]>
Date: Sun, 04 Jun 2006 15:37:15 +0900

>matching draft: nothing surprises me any more.

Let's just take that as it comes. We have a lot of experience and
patience by now :-(.

>639-3 is approved later this year. After that we should go away.

Does anybody have any kinds of more concrete information about ISO 639-3?
Current status? Maximum or minimum time it takes for the next stage?
Deadlines (e.g. for voting,...) that are already know? Peter?

Regards,   Martin.

---

From: Felix Sasaki <[email-masked]>
Date: Tue, 06 Jun 2006 00:49:21 +0900

Hello Martin, all,

[...]

> Deadlines (e.g. for voting,...) that are already know? Peter?

Maybe Peter has more / different information, but I talked at last weeks
LREC conference to Gerhard Budin (University of Vienna), who is in the
ISO committee which defines 639-3.

He said 639-3 is now be in the FDIS stadium, and they don't expect major
issues. There is a 6 months period to wait for comments, so the final
standard will be published at the beginning of 2007. However, Gerhard
said that it is possible to cite FDIS versions of ISO drafts "officially".

I'm not familiar with ISO processes, so I don't know if this last
statement is valid.

Regards, Felix.

---

From: "Debbie Garside" <[email-masked]>
Date: Mon, 5 Jun 2006 17:17:55 +0100

Hi

statement is valid.

I would accept Gerhard's word - he is chair of ISO TC37/SC2

Best regards

Debbie

-----Original Message-----
From: Felix Sasaki [mailto:[email-masked]] 
Sent: 05 June 2006 16:49
To: Martin Duerst
Cc: 'LTRU Working Group'
Subject: Re: [Ltru] Charter Discussion

Hello Martin, all,

[...]

Maybe Peter has more / different information, but I talked at last weeks
LREC conference to Gerhard Budin (University of Vienna), who is in the ISO
committee which defines 639-3.

He said 639-3 is now be in the FDIS stadium, and they don't expect major
issues. There is a 6 months period to wait for comments, so the final
standard will be published at the beginning of 2007. However, Gerhard said
that it is possible to cite FDIS versions of ISO drafts "officially".

I'm not familiar with ISO processes, so I don't know if this last statement
is valid.

Regards, Felix.

---

From: "Peter Constable" <[email-masked]>
Date: Mon, 5 Jun 2006 15:27:49 -0700

> From: Martin Duerst [mailto:[email-masked]]

> Deadlines (e.g. for voting,...) that are already know? Peter?

The FDIS document has been submitted to ISO CS for circulation of the FDIS ballot. As I do not receive the ballot (that gets sent to national body agencies -- ANSI in the case of US), I can't tell for certain whether it has actually been circulated yet. But I expect the FDIS ballot should be complete by early August.

Besides the matter of final approval of the text of 639-3, there have been some open issues regarding the draft code table that the ISO 639-RA/Joint Advisory Committee needs to wrap up. I'm hoping that will also be complete by some time in August, though realistically it will probably take a little longer than the ballot. But that should not present an obstacle to the WG beginning to discuss what changes are needed for 3066ter.

Peter Constable

---

From: "Peter Constable" <[email-masked]>
Date: Mon, 5 Jun 2006 15:31:40 -0700

> standard will be published at the beginning of 2007.

That is incorrect. The FDIS ballot is two months in duration (ISO/IEC Directives Part 1, 2.7.1).

Peter Constable

---

From: Erkki Kolehmainen <[email-masked]>
Date: Tue, 06 Jun 2006 09:56:27 +0300

The reason why FDIS documents can be cited is that no proposals for 
technical changes are allowed in the ISO FDIS ballot, which is a binary 
yes/no ballot. Thus, the content of the standard (editorial changes 
notwithstanding) remains intact from that point on (unless there is a 
truly exceptionally compelling reason). The only risk is that the 
standard may be rejected in its entirety, which is highly unlikely.

Kind regards, Erkki I. Kolehmainen

---

From: "Debbie Garside" <[email-masked]>
Date: Tue, 20 Jun 2006 23:04:16 +0100

Hi

There has been much discussion lately on IETF-languages with regard to
updates/additions and structure/format of the Registry.  If this WG is
re-Chartered, I think it may be beneficial to include discussion on tighter
rules and regulations for updates/additions to the Registry with some
discussion on Registry format. To this end, it may also be beneficial to
look in detail at ISO 11179.  

It could be suggested that further discussion in this regard take place when
ISO FDIS 639-3 reaches full standard (approx. 6 months).   It may therefore,
with a mind to Martin's guidance, be more desirable to close this WG in the
interim and to create a new WG and Charter at that time.  

However, given the length of time it has taken to get the various documents
to Last Call this time round, I would not object to re-chartering with
discussions commencing prior to publication of ISO 639-3.

The key question here is how urgent is the need to facilitate ISO 639-3?

Best regards

Debbie Garside 

> Sent: 03 June 2006 01:17
> To: LTRU Working Group
> Subject: [Ltru] Charter Discussion
> 
> Dear LTRU WG Members,
> 
> Quite some time ago, we agreed that after finishing our 
> deliverables, we will have a discussion about the charter. 
> Randy and I would like to start this discussion now, because 
> we basically have finished our deliverables (we may need to 
> come back to the matching draft once in a while based on 
> comments in IETF Last Call and comments from the IESG).
> 
> Discussions about (re)chartering are by nature rather 
> open-ended, but to focus discussion a bit, here are some questions:
>

---

From: "Addison Phillips" <[email-masked]>
Date: Tue, 20 Jun 2006 15:29:27 -0700

> re-Chartered, I think it may be beneficial to include 
> discussion on tighter rules and regulations for updates/additions to the
Registry with some
> discussion on Registry format. To this end, it may also be 
> beneficial to look in detail at ISO 11179.  

It is possible that it would be beneficial to look at ISO 11179. What
benefits do you think would accrue from doing this?

I don't think that it would be beneficial to impose more rules on additions
or updates to the registry. There is a perfectly good process in the
existing document. The fact that people are not using this process (rather
they are spending time shouting at one-another) does not mean that we should
legislate an additional layer of requirements. Given my experience on
ietf-languages and with LTRU, etc., my observation is: if one seeks quiet,
thoughtful, dispassionate discourse, avoid language tags as a topic.

I do think we should revisit encoding the registry in UTF-8.

> interim and to create a new WG and Charter at that time.  

It is not at all desirable, IMO, to re-create the group. Having a new
"draft-registry" depend on ISO 639-3 being published is fine. What's
important for our work here is knowing exactly what the structure of ISO
693-3 is in relation to 639-2 and 639-1 and how the various macro-languages,
etc. will be handled. This will necessarily impact how extlang works. This
information is increasingly unlikely to change.

Note that (in my opinion), the only changes to 3066bis to incorporate 639-3
will be:

1. Referencing 639-3 as an additional source for language and extlang
subtags (with attendent reference additions to stability rules, contact
info, etc.)
2. Defining exactly the rules for inclusion of an extlang vs. a language
subtag and the rules for Prefix in the extlang subtag.

The only other change I foresee would be defining the encoding of the
registry as UTF-8.

It will also be necessary to prepare a rather large "bulk addition" to the
registry.
> The key question here is how urgent is the need to facilitate 
It is "urgent" from the point of view that we want to incorporate ISO 639-3
as soon as it is reasonable to do so. Implementation rules for language tags
are unaffected; all implementers will need is an updated copy of the
registry (the syntax and so forth are already defined).

Best Regards,

Addison

Addison Phillips

---

From: John Cowan <[email-masked]>
Date: Tue, 20 Jun 2006 19:01:43 -0400

> interim and to create a new WG and Charter at that time.  

It would effectively be the same WG with the same participants and the
same basic purpose (applied to a new document), so I see no point
to closing and reopening.

> The key question here is how urgent is the need to facilitate ISO 639-3?

I think that until 639-3 is in, we are living on borrowed time.  In the
1766 and 3066 regimes, if anyone came along with a need for a language
tag for a language that wasn't in ISO 639, we had a workaround: we
could use the i- tag and create something like i-amis.  3066bis
closes that loophole: anyone who needs a language tag now has to go
to 639/MA and try to persuade them to add it, which may be difficult
if the language doesn't meet the criteria (no less than fifty documents
held by no more than five organizations).

The fact that 3066bis isn't published is helping us, because few people
are aware of the problem.  But the most we can tell people now who
want to tag text in a non-639 language is "Use this; it's not official
but it will be some day."

-- 
John Cowan  [email-masked]  http://ccil.org/~cowan
And now here I was, in a country where a right to say how the country should
be governed was restricted to six persons in each thousand of its population.
For the nine hundred and ninety-four to express dissatisfaction with the
regnant system and propose to change it, would have made the whole six
shudder as one man, it would have been so disloyal, so dishonorable, such
putrid black treason.  --Mark Twain's Connecticut Yankee

---

From: "Debbie Garside" <[email-masked]>
Date: Wed, 21 Jun 2006 00:05:40 +0100

Addison wrote: 

> It is possible that it would be beneficial to look at ISO 
> 11179. What benefits do you think would accrue from doing this?

I would have to do some work on this and I keep saying this, I haven't got
time at the moment to take the discussion.  Hence the reason why I said it
MAY be beneficial. I will happily look at it in its entirety once the WG has
been re-Chartered.  Off the cuff, I would say that registration procedures
would benefit greatly from some additional rules and structure.  This would
not only alleviate much of the discussion that has gone on in the past two
weeks but make for a better quality and more consistent Registry.  Whether
this is done with or without ISO 11179 is neither here nor there.  But it
needs doing IMHO.
 
> I don't think that it would be beneficial to impose more 
> rules on additions or updates to the registry. There is a 
> perfectly good process in the existing document. The fact 
> that people are not using this process (rather they are 
> spending time shouting at one-another) does not mean that we 
> should legislate an additional layer of requirements. 

It needs tightening!  Then there will be no room for shouting!

> Given 
> my experience on ietf-languages and with LTRU, etc., my 
> observation is: if one seeks quiet, thoughtful, dispassionate 
> discourse, avoid language tags as a topic.

I have found the same, and not just within IETF-languages and LTRU! But then
I never have been one for the quiet life! ;-)

> I do think we should revisit encoding the registry in UTF-8.

Absolutely agreed... And I have other suggestions and opinions on the format
too ! But let us re-Charter (if that is what you want) BEFORE taking the
actual discussions. 
 
> It is not at all desirable, IMO, to re-create the group. 
> Having a new "draft-registry" depend on ISO 639-3 being 
> published is fine. What's important for our work here is 
> knowing exactly what the structure of ISO
> 693-3 is in relation to 639-2 and 639-1 and how the various 
> macro-languages, etc. will be handled. This will necessarily 
> impact how extlang works. This information is increasingly 
> unlikely to change.
> 
> Note that (in my opinion), the only changes to 3066bis to 
> incorporate 639-3 will be:

Now Addison, don't go creating a huge in-depth discussion when all I was
doing was having a bit of quiet, thoughtful, dispassionate discourse re
whether to dis-band or re-Charter.  Re-charter and then get back into the
affray! ;-)

> It is "urgent" from the point of view that we want to 
> incorporate ISO 639-3 as soon as it is reasonable to do so. 
> Implementation rules for language tags are unaffected; all 
> implementers will need is an updated copy of the registry 
> (the syntax and so forth are already defined).

I'll take that as a vote for re-Charter then!

Best regards

Debbie

---

From: "Debbie Garside" <[email-masked]>
Date: Wed, 21 Jun 2006 00:08:23 +0100

So I'll take that as a +1 to re-Charter with ISO 639-3 on the menu prior to
publication.

Debbie 

> From: John Cowan [mailto:[email-masked]] 
> Sent: 21 June 2006 00:02
> To: Debbie Garside
> Cc: [email-masked]
> > with a mind to Martin's guidance, be more desirable to 
> close this WG 
> > in the interim and to create a new WG and Charter at that time.
> 
> It would effectively be the same WG with the same 
> participants and the same basic purpose (applied to a new 
> document), so I see no point to closing and reopening.
> 
> 1766 and 3066 regimes, if anyone came along with a need for a 
> language tag for a language that wasn't in ISO 639, we had a 
> workaround: we could use the i- tag and create something like 
> i-amis.  3066bis closes that loophole: anyone who needs a 
> language tag now has to go to 639/MA and try to persuade them 
> to add it, which may be difficult if the language doesn't 
> meet the criteria (no less than fifty documents held by no 
> more than five organizations).
> 
> The fact that 3066bis isn't published is helping us, because 
> few people are aware of the problem.  But the most we can 
> tell people now who want to tag text in a non-639 language is 
> "Use this; it's not official but it will be some day."
> 
> --
> John Cowan  [email-masked]  http://ccil.org/~cowan And now 
> here I was, in a country where a right to say how the country 
> should be governed was restricted to six persons in each 
> thousand of its population.
> For the nine hundred and ninety-four to express 
> dissatisfaction with the regnant system and propose to change 
> it, would have made the whole six shudder as one man, it 
> would have been so disloyal, so dishonorable, such putrid 
> black treason.  --Mark Twain's Connecticut Yankee
>

---

From: "Addison Phillips" <[email-masked]>
Date: Tue, 20 Jun 2006 17:07:12 -0700

> time at the moment to take the discussion.  Hence the reason 
> why I said it MAY be beneficial.

I am sceptical of taking up a standard merely on the basis that it exists.
If someone explains (coherently) what the benefits are, then I'm happy to
consider them. But the nature of the langtags registry is such that we don't
need a lot of additional stuff of this nature. There are well considered
rules for which records go into the registry and how, with most of the
decisions taken by external standards bodies.

> I will happily look at it in its entirety 
> once the WG has
> would benefit greatly from some additional rules and 
> structure. 

If there are problems with the registration procedures (I submit: there are
not any that have been identified to date), then we should identify them and
work to resolve them in any new document this WG or its successor might
create. So far we haven't experienced any problems with the registration
procedures themselves. Some people have taken exception to different
registration proposals---objecting to proposed content of some
non-stabilized, informative (i.e. in the non-normative sense) fields. In
particular, the desire to include/not include ASCII-only descriptions and
typesetter's quotes. But that discussion has nothing to do with the
registration process. In that process, people are supporting or not
supporting the inclusion of &#x2019; vs &#x27; in one of the description
fields. I perceive that a consensus is emerging about what to do. Once that
consensus hardens, I doubt we will revisit it in the future. It should be
noted that 3066bis anticipated the need for more than one description, even.

>  This would

No. The process would benefit from better discussion management and better
list discipline. The recent discussions on the ietf-languages list have
nothing to do with what RFC 3066bis says or doesn't say. We might not have
had the discussions about the format for escape sequences if the registry
were using UTF-8 (but the discussion about curly vs. non-curly quotes would
still probably have taken place). None of these discussions, please note,
means a thing in regard to what the rules of the road are. What exactly is
the problem that would be solved by changing or reconsidering registration
rules?

Referencing standards is nice, but there should be a reason to do so. Given
that the registry is (more or less) a compendium of other standards, it
makes no sense to me to impose all sorts of additional cruft onto it unless
absolutely necessary. 

> It needs tightening!  Then there will be no room for shouting!

No, that's naive. Given an open email list there is always room for
shouting. Shouting isn't even necessarily bad (and I must say that Harald
does a good job of cutting off abusive behavior). Tighter rules for actual
registrations would not prevent people from indulging in wild off-topic
rambles (for example: questioning the rules). 

> too ! But let us re-Charter (if that is what you want) BEFORE 
> taking the actual discussions. 

I agree that we should not engage in the discussion here. But I don't think
a re-charter is necessary unless the IESG does.

> whether to dis-band or re-Charter.  Re-charter and then get 

It is a question of scope. If the scope is small (I was attempting to
demonstrate both small scope and the need for restraint in an edit), then we
don't need a massive recharter, etc. We merely need an extension of our
current mandate.

> I'll take that as a vote for re-Charter then!

That is a vote for doing 3066ter in this group, soon-ish, with quite limited
scope for change---almost a RFC3066bis "second edition" or errata,
rechartering if necessary.

Addison Phillips

> From: Debbie Garside [mailto:[email-masked]] 
> Sent: mardi 20 juin 2006 16:06
> To: 'Addison Phillips'; 'Martin Duerst'; 'LTRU Working Group'
> Subject: RE: [Ltru] Charter Discussion
>

---

From: "Mark Davis" <[email-masked]>
Date: Tue, 20 Jun 2006 17:52:53 -0700

+1

---

From: "Debbie Garside" <[email-masked]>
Date: Wed, 21 Jun 2006 02:57:22 +0100

Addison wrote:

> Referencing standards is nice, but there should be a reason 
> to do so. Given that the registry is (more or less) a 
> compendium of other standards, it makes no sense to me to 
> impose all sorts of additional cruft onto it unless 
> absolutely necessary. 

You have adopted ISO 639
You have adopted ISO 15924
You have adopted ISO 3166

You have created a meta-data registry

I would say that it would be prudent to CONSIDER the ISO standard that
covers meta-data registries - ISO 11179

IF there are good enough reasons for it being adopted, I believe it will
protect you, the IETF, the IESG and all the excellent work that you have
done. 

Best regards

Debbie

> From: Addison Phillips [mailto:[email-masked]] 
> Sent: 21 June 2006 01:07
> To: 'Debbie Garside'; 'Martin Duerst'; 'LTRU Working Group'
> > > It is possible that it would be beneficial to look at ISO 11179. 
> > > What benefits do you think would accrue from doing this?
> > 
> > I would have to do some work on this and I keep saying 
> this, I haven't 
> > got time at the moment to take the discussion.  Hence the 
> reason why I 
> > said it MAY be beneficial.
> 
> If someone explains (coherently) what the benefits are, then 
> I'm happy to consider them. But the nature of the langtags 
> registry is such that we don't need a lot of additional stuff 
> of this nature. There are well considered rules for which 
> records go into the registry and how, with most of the 
> > I will happily look at it in its entirety once the WG has been 
> > re-Chartered.  Off the cuff, I would say that registration 
> procedures 
> > would benefit greatly from some additional rules and structure.
> 
> If there are problems with the registration procedures (I 
> submit: there are not any that have been identified to date), 
> then we should identify them and work to resolve them in any 
> new document this WG or its successor might create. So far we 
> haven't experienced any problems with the registration 
> procedures themselves. Some people have taken exception to 
> different registration proposals---objecting to proposed 
> content of some non-stabilized, informative (i.e. in the 
> non-normative sense) fields. In particular, the desire to 
> include/not include ASCII-only descriptions and typesetter's 
> quotes. But that discussion has nothing to do with the 
> registration process. In that process, people are supporting 
> or not supporting the inclusion of &#x2019; vs &#x27; in one 
> of the description fields. I perceive that a consensus is 
> emerging about what to do. Once that consensus hardens, I 
> doubt we will revisit it in the future. It should be noted 
> that 3066bis anticipated the need for more than one description, even.
> 
> >  This would
> > not only alleviate much of the discussion that has gone on 
> in the past 
> > two weeks but make for a better quality and more consistent 
> Registry.  
> > Whether this is done with or without ISO 11179 is neither here nor 
> > there.  But it needs doing IMHO.
> 
> No. The process would benefit from better discussion 
> management and better list discipline. The recent discussions 
> on the ietf-languages list have nothing to do with what RFC 
> 3066bis says or doesn't say. We might not have had the 
> discussions about the format for escape sequences if the 
> registry were using UTF-8 (but the discussion about curly vs. 
> non-curly quotes would still probably have taken place). None 
> of these discussions, please note, means a thing in regard to 
> what the rules of the road are. What exactly is the problem 
> that would be solved by changing or reconsidering registration rules?
> 
> Referencing standards is nice, but there should be a reason 
> to do so. Given that the registry is (more or less) a 
> compendium of other standards, it makes no sense to me to 
> impose all sorts of additional cruft onto it unless 
> absolutely necessary. 
> 
> > > I don't think that it would be beneficial to impose more rules on 
> > > additions or updates to the registry. There is a perfectly good 
> > > process in the existing document. The fact that people 
> are not using 
> > > this process (rather they are spending time shouting at 
> one-another) 
> > > does not mean that we should legislate an additional layer of 
> > > requirements.
> > 
> No, that's naive. Given an open email list there is always 
> room for shouting. Shouting isn't even necessarily bad (and I 
> must say that Harald does a good job of cutting off abusive 
> behavior). Tighter rules for actual registrations would not 
> prevent people from indulging in wild off-topic rambles (for 
> example: questioning the rules). 
> 
> > Absolutely agreed... And I have other suggestions and 
> opinions on the 
> > format too ! But let us re-Charter (if that is what you 
> want) BEFORE 
> I agree that we should not engage in the discussion here. But 
> I don't think a re-charter is necessary unless the IESG does.
> 
> > Now Addison, don't go creating a huge in-depth discussion 
> when all I 
> > was doing was having a bit of quiet, thoughtful, dispassionate 
> > discourse re whether to dis-band or re-Charter.  Re-charter 
> and then 
> > get back into the affray! ;-)
> 
> It is a question of scope. If the scope is small (I was 
> attempting to demonstrate both small scope and the need for 
> restraint in an edit), then we don't need a massive 
> recharter, etc. We merely need an extension of our current mandate.
> 
> That is a vote for doing 3066ter in this group, soon-ish, 
> with quite limited scope for change---almost a RFC3066bis 
> "second edition" or errata, rechartering if necessary.
> 
> Addison Phillips

---

From: "Addison Phillips" <[email-masked]>
Date: Tue, 20 Jun 2006 19:26:12 -0700

> covers meta-data registries - ISO 11179

I believe I said that it ought to be considered on its merits. But given
your own description of same (six volumes, over 3 MB of material), my first
reaction is: why? What problems does it address? Who is the audience for it?
What utility is derived from it? 

What I object to is the *assumption* that we have to do something with ISO
11179. I'm more than willing to consider it, if there is some utility to be
gained. But to declare a need for such standardization without any
consideration for what the thing is? I don't think that prudent at all. 

> protect you, the IETF, the IESG and all the excellent work 
> that you have done. 

Protect whom from what, exactly?

If there are good reasons for adopting it, I'm sure this WG will consider
doing so. That none have been presented to date does not mean that there are
no arguments in favor. The least impressive argument in favor of any
standard is its mere existance. Do the research and present a case for
adopting it and I'll be the first to support it (if I think it warrants
support). But not out of hand. I don't even know what would be required to
support it and I begin to suspect that it would require significant work to
do so... with possibly no reward? 

Addison

Addison Phillips

---

From: "Debbie Garside" <[email-masked]>
Date: Wed, 21 Jun 2006 03:58:56 +0100

Addison

I would draw your attention to my original email where I stated:

"it may also be beneficial to look in detail at ISO 11179."

That's all I said.  Just stick it on the menu for re-Chartering.  That is
what this discussion (my discussion) is about. 

> Protect whom from what, exactly?

I just threw that in for good measure and as a much needed distraction! 

In English law, as with any standard, if you have implemented its provisions
in full this will provide you with what is called the 'due diligence'
defence in any court action. If negligence or recklessness is required for
you to be liable, conformity to a national or international standard is a
complete defence. 

I don't expect you to need this but it is never a bad thing to be in
conformity with an International Standard.  There is no argument against it.
Appeals etc. in relation to the structure and content of the Registry to the
IESG are negated purely and simply by being in conformity with an
International Standard.  Dead easy really!

I'm off now.  If you need me you will find me in the flower arranging forum
for people with frontal-lobe lobotomies...having a bit of QUIET, THOUGHTFUL,
DISPASSIONATE DISCOURSE about anything but Language bloody tagging and ISO
bloody 11179!

GOODNIGHT!

Debbie :-)   

> Sent: 21 June 2006 03:26
> I believe I said that it ought to be considered on its 
> merits. But given your own description of same (six volumes, 
> over 3 MB of material), my first reaction is: why? What 
> problems does it address? Who is the audience for it?
> What I object to is the *assumption* that we have to do 
> something with ISO 11179. I'm more than willing to consider 
> it, if there is some utility to be gained. But to declare a 
> need for such standardization without any consideration for 
> what the thing is? I don't think that prudent at all. 
> 
> > 
> > IF there are good enough reasons for it being adopted, I believe it 
> > will protect you, the IETF, the IESG and all the excellent 
> work that 
> > you have done.
> 
> If there are good reasons for adopting it, I'm sure this WG 
> will consider doing so. That none have been presented to date 
> does not mean that there are no arguments in favor. The least 
> impressive argument in favor of any standard is its mere 
> existance. Do the research and present a case for adopting it 
> and I'll be the first to support it (if I think it warrants 
> support). But not out of hand. I don't even know what would 
> be required to support it and I begin to suspect that it 
> would require significant work to do so... with possibly no reward? 
> 
> Addison
> 
> Addison Phillips

---

From: "Addison Phillips" <[email-masked]>
Date: Tue, 20 Jun 2006 20:54:59 -0700

Debbie,

I apologize if I have misread your intentions.

I will persist, if I may, with one point: if you wish to suggest that this
WG consider something for a new charter, it is incumbent upon you to explain
what it is and why the WG should consider it. I thought (was I wrong?) that
"sticking it on the menu" meant putting it in a new charter. As I indicated,
as an abstract notion, I'm happy to consider ISO 11179 along with other
things the WG might do in RFC 3066ter. But, unless there is some reason to,
I oppose actually mentioning it in the charter as a requirement (just as I
would oppose mentioning any other random ideas--like using UTF-8 for the
registry file). I misread your messages as a call for including it in the
list of work to do. I'm opposed to that. I'm not opposed to considering if
ISO 11179 might be appropriate within the context of 3066ter, but I think
the charter scope and the changes to 3066bis should be as minor as possible
(but no more so, to paraphrase Einstein).

Let me know the address of the flower arranging forum. It would be a benison
after a long day's language tagging.

Regards,

Addison

Addison Phillips

> Sent: mardi 20 juin 2006 19:59

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 20 Jun 2006 22:05:37 -0700

...
> (but no more so, to paraphrase Einstein).
...

As an individual contributor who has some experience with charters
and specification update efforts...

I think there are three obvious options for a charter update with
respect to the question of ISO 11179:
   a) say nothing about using ISO 11179 in producing 3066ter
   b) require use of ISO 11179  in producing 3066ter
   c) require WG to consider using ISO 11179, with the assumption
       that if the cost/benefit ration proves favorable, we'd use it

Having some experience in how updates to complex specifications
happen in the IETF...
   - choosing (a) practically guarantees that ISO 11179 would not
     be used.  The default position in an update effort is normally
     to make changes only when absolutely necessary, and to keep
     the changes as small as practical.
   - I think choosing (b) would be premature now, and it doesn't look
     like arguments clinching the case for ISO 11179 are coming anytime
     soon.  I think this would be a "non-starter."
  - choosing (c) means we'd have to (at least) get a design team to
    dig into ISO 11179 and make a recommendation to the WG.  This
    is obviously more work than (a).

What I think is needed at this stage is for folks who've looked into
ISO 11179 at least a little to think whether it shows enough promise
of benefit to make it worthwhile to commit to the effort the investigation
option (c) would entail.  If they're not convinced, then by default we'll
end up with (a), which, as a practical matter, would make it much harder
to steer the effort into using ISO 11179.

Randy

---

From: "Mark Davis" <[email-masked]>
Date: Wed, 21 Jun 2006 07:49:35 -0700

option (c) would entail.

+1

(We'd really have to see some examples of what the purported benefits would be.)

---

From: Ted Hardie <[email-masked]>
Date: Wed, 21 Jun 2006 09:19:14 -0700

>International Standard.  Dead easy really!

It is my understanding of our appeals process that conformity with an external
standard here would neither preclude an appeal nor be the basis for the IESG to
reject the appeal.  The appeal would have to stand on its merits in either
case.  At most, it might cause an appellant to assert that choice of this
standard for the registry form was ill-made rather than the individual
choices that went into the working group's document were ill-made.
Since the appellant could also assert that the working group should not have
chosen any other external standard (but should have rolled its own in a particular
way), the work that goes into considering an appeal probably would
not even go down.

			regards,
				Ted Hardie

---

From: "Debbie Garside" <[email-masked]>
Date: Wed, 21 Jun 2006 19:28:56 +0100

+1 to Randy's post.

Given the lack of actual ISO 11179 information being discussed here it seems
obvious that nobody here feels conversant enough with the standard to be
able to say what the benefits could be.  This includes me.  I read the
standard 18 months ago and would need to seriously re-fresh my memory before
commenting.  As many of you know already from other conversations, ISO 11179
is a six part standard and investigating the pros and cons is not going to
be a 5 minute task.

Let me make this absolutely clear.  I am not flying the ISO 11179 flag.
Investigation can be defined in several ways. To my mind in the context in
which we speak it means un-biased enquiry. The product of such an
investigation would be the  presentation of possible benefits to this WG.
The WG would then assess the value of those benefits in an un-biased manner.

John wrote:
"The reason for *considering* it is that it's an international standard that
is germane to what we are doing.  If we put it in the charter and no one
presents sufficiently compelling arguments for using it, we simply say that
n default of such arguments we have not used 11179. But I see no merit to
locking ourselves out in advance."

I agree 100% with what John has said.  

Doug has suggested that he would be happy to assist me in assessing any
potential benefits.  Thank you.  I would be happy to conduct some
PRELIMINARY investigations and report back to this WG.  The main problem I
have is time.  I can maybe spare half a day to look at this at present (over
the next couple of weeks).  Other than that the nearest available time I
have to conduct thorough investigations would be September.  I have no great
desire to do this.  If there is anyone within this WG who would like to do
this I will happily move aside.  I have only suggested that it might be
beneficial to consider ISO 11179.

Best regards

Debbie Garside

> From: Randy Presuhn [mailto:[email-masked]] 
> Sent: 21 June 2006 06:06
> To: LTRU Working Group
> > I will persist, if I may, with one point: if you wish to 
> suggest that 
> > this WG consider something for a new charter, it is 
> incumbent upon you 
> > to explain what it is and why the WG should consider it. I thought 
> > (was I wrong?) that "sticking it on the menu" meant putting it in a 
> > new charter. As I indicated, as an abstract notion, I'm happy to 
> > consider ISO 11179 along with other things the WG might do in RFC 
> > 3066ter. But, unless there is some reason to, I oppose actually 
> > mentioning it in the charter as a requirement (just as I 
> would oppose 
> > mentioning any other random ideas--like using UTF-8 for the 
> registry 
> > file). I misread your messages as a call for including it 
> in the list 
> > of work to do. I'm opposed to that. I'm not opposed to 
> considering if 
> > ISO 11179 might be appropriate within the context of 3066ter, but I 
> > think the charter scope and the changes to 3066bis should 
> be as minor as possible (but no more so, to paraphrase Einstein).
> ...
> 
> As an individual contributor who has some experience with 
> charters and specification update efforts...
> 
> I think there are three obvious options for a charter update 
> with respect to the question of ISO 11179:
> Having some experience in how updates to complex 
> specifications happen in the IETF...
> What I think is needed at this stage is for folks who've 
> looked into ISO 11179 at least a little to think whether it 
> shows enough promise of benefit to make it worthwhile to 
> commit to the effort the investigation option (c) would 
> entail.  If they're not convinced, then by default we'll end 
> up with (a), which, as a practical matter, would make it much 
> harder to steer the effort into using ISO 11179.
> 
> Randy
> 
>

---

From: "Debbie Garside" <[email-masked]>
Date: Wed, 21 Jun 2006 20:10:42 +0100

> I apologize if I have misread your intentions.

Not necessary. But thank you anyway.   
 
> suggest that this WG consider something for a new charter, it 
> is incumbent upon you to explain what it is and why the WG 
> should consider it.

I believe I have already done that and John has reiterated, albeit more
eloquently.

 I thought (was I wrong?) that "sticking 
> it on the menu" meant putting it in a new charter. 

No you were not wrong  Perhaps it is my turn to apologise.  Perhaps I did
not realise the true significance and importance of the Charter.  Latterly,
in the light of Randy's comments, I think perhaps it should be in the
Charter. "sticking it on the menu" means "put it up for discussion".
However, I can see now that the Charter needs to be tighter than that. 

I would ask you to re-read my original post.  Make note of the use of "if",
"may" and "beneficial".  Then focus on my key message.  The key message was
lost in all this.  The WG should not be dis-banded but rather should get on
with the job of considering ISO 639-3 prior to publication! 

> As I 
> indicated, as an abstract notion, I'm happy to consider ISO 
> 11179 along with other things the WG might do in RFC 3066ter. 
> But, unless there is some reason to, I oppose actually 
> would oppose mentioning any other random ideas--like using 
> UTF-8 for the registry file).

Why... ? In saying that this WG should investigate the possible benefits of
ISO 11179 where is the harm? As to UTF-8 why not enter "review and revise
registry format as WG deems necessary".

> I misread your messages as a 
> call for including it in the list of work to do. 
>I'm opposed 
> to that.

I think it may be beneficial to look at it.  There is no point in looking at
it if once the discussion is on someone says "hey, that's not in our Charter
and is therefore out of scope of this WG"!

> I'm not opposed to considering if ISO 11179 might be 
> appropriate within the context of 3066ter,

So what are we arguing about?

> but I think the 
> charter scope and the changes to 3066bis should be as minor 
> as possible (but no more so, to paraphrase Einstein).

Well, I am sure I don't want to be here in 3 years time discussing it.
 
> Let me know the address of the flower arranging forum. It 
> would be a benison after a long day's language tagging.

Hmmm... Spiritual flower arranging... Now there is a blessed thought! ;-)
 
Best regards

Debbie

---

From: Martin Duerst <[email-masked]>
Date: Wed, 21 Jun 2006 14:15:05 +0900

[co-chair hat on]

At 09:07 06/06/21, Addison Phillips wrote:

>> I'll take that as a vote for re-Charter then!

[aside: in the IETF, we don't count votes]

>rechartering if necessary.

Just a small terminology correction:

"Rechartering", in the context of the IETF, and as far as I can
remember, refers to changing a group's charter, usually when
extending a group's duration. Because both of our current deliverables
are (mostly) done, if we want to continue work in this group, we
need to change the charter, which means that we need to recharter.

Closing the group, with the option of later creating a new group
(which would have a new acronym, e.g. ultru (update of language
tag registry update :-)) is different from rechartering.

Regards,   Martin.